<?php

if (empty($_GET['sok'])) {
    echo '<div class="post"><div style="text-align:center">' . "\n";
    echo 'Вы действительно хотите удалить запись домена ' . htmlentities($_GET['plid'], ENT_QUOTES, 'UTF-8') . '?<br />' . "\n";
    echo '<a href="?func=domain.sublist.delete&amp;elid=' . urlencode($_GET['elid']) . '&amp;plid=' . urlencode($_GET['plid']) . '&amp;sok=yes">Да</a> / <a href="?func=domain.sublist&amp;elid=' . urlencode($_GET['plid']) . '">Нет</a>' . "\n";
    echo '</div></div>' . "\n";
} else {
    $content = api_query('https://' . $server . '/manager/ispmgr?func=domain.sublist.delete&elid=' . urlencode($_GET['elid']) . '&plid=' . urlencode($_GET['plid']) . '&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
    $parse_xml = simplexml_load_string($content);
    if (isset($parse_xml->ok)) {
        echo '<div class="post"><div style="text-align:center">' . "\n";
        echo 'Запись домена успешно удалена!<br />' . "\n";
        echo '<a href="?func=domain.sublist&amp;elid=' . urlencode($_GET['plid']) . '">Продолжить</a>' . "\n";
        echo '</div></div>' . "\n";
    } else {
        echo '<div class="post"><div style="text-align:center">' . "\n";
        echo 'Ошибка при удалении записи домена!<br />' . "\n";
        echo '<a href="?func=domain.sublist&amp;elid=' . urlencode($_GET['plid']) . '">Продолжить</a>' . "\n";
        echo '</div></div>' . "\n";
    }
}

?>